﻿Imports System.Text
Public Class frmString
    'Imports System.Text needs to be here if you are using the string builder which I added as the last example - see page 292
    Private Sub btnChars_Click(sender As Object, e As EventArgs) Handles btnChars.Click
        lstOutput.Items.Clear()
        Dim wkInput As String = txtInput.Text
        For indx As Integer = 0 To wkInput.Length - 1
            lstOutput.Items.Add(wkInput(indx))
        Next
    End Sub

    Private Sub btnAltIndChar_Click(sender As Object, e As EventArgs) Handles btnAltIndChar.Click
        lstOutput.Items.Clear()
        Dim wkInput As String = txtInput.Text
        For Each letter As Char In wkInput
            lstOutput.Items.Add(letter)
        Next
    End Sub

    Private Sub btnIndexOf_Click(sender As Object, e As EventArgs) Handles btnIndexOf.Click
        txtInput.Text = "Bristol Community College"
        Dim wkInput As String = txtInput.Text
        Dim indx As Integer = wkInput.IndexOf("s")
        txtOutput.Text = indx
    End Sub

    Private Sub tnSplit_Click(sender As Object, e As EventArgs) Handles tnSplit.Click
        txtInput.Text = "Bristol Community College"
        Dim wkInput As String = txtInput.Text
        Dim parts() As String = wkInput.Split(CChar(" "))
        lstOutput.Items.Add(parts(0))
        lstOutput.Items.Add(parts(1))
        lstOutput.Items.Add(parts(2))
    End Sub

    Private Sub btnStringBuilder_Click(sender As Object, e As EventArgs) Handles btnStringBuilder.Click
        Dim wkStringBuilder As New StringBuilder(10)  'Default is 16 if there is nothing in the ()
        wkStringBuilder.Append(txtInput.Text)         'Enter a 10 digit phone number
        wkStringBuilder.Insert(3, "-")
        wkStringBuilder.Insert(7, "-")
        txtOutput.Text = wkStringBuilder.ToString

    End Sub
End Class
